.steps {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 2rem 0 4rem 0;
  position: relative;
}

.step-item {
  z-index: 10;
  text-align: center;
  font-weight: bold;
  font-size: var(--txt-rem20);
  position: relative;
}

.step-item.active{
  -webkit-text-fill-color: transparent;
  background: var(--c-querternary);
  -webkit-background-clip: text;
}

.step-item:after {
  display: block;
  width: 1.4rem;
  height: 1.4rem;
  border-radius: 50%;
  border: none;
  background-color: var(--c-gray);
  transition: .4s;
  content: "";
  position: absolute;
  left: 55%;
  transform: translateX(-50%);
}

.step-item.active:after {
  background: var(--c-querternary);
}

#progress {
  position: absolute;
  width: 99%;
  z-index: 5;
  height: .4rem;
  top: 24px;
  padding: 0 10px;
  appearance: none;
  border: none;
  border-radius: 10px;
  overflow: hidden;
  margin-top: 14px;
}

#progress::-webkit-progress-value {
  background: var(--c-querternary);
  transition: .5s ease;
}

#progress::-webkit-progress-bar {
}

.section-oa {
	/* background-color: var(--c-white-light); */
	/* padding-top: var(--header-height) */
  position: relative;
}

.oa-bg{
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: -1;
}

.oa-bg img{
  max-height: 100%;
  position: absolute;
  width: 100%;
}

.section-oa.online-appointment-page {
	background-color: unset;
	/* padding-top: var(--header-height) */
}

.section-oa-row {
	align-items: center;
	display: flex;
	gap: 3rem;
	justify-content: space-between;
	padding: 14rem 0 14rem 0;
	width: 100%
}

.section-oa.online-appointment-page .section-oa-row {
  padding: 5rem 0 5rem 0;
	/* padding-top: var(--header-height) */
}

.section-oa-row-left {
	transition: var(--transition);
	width: 0
}

.section-oa-row-left.opened {
	width: calc(50% - 1.5rem);
	/* margin-top: 10rem; */
}

.section-oa-row-right {
	margin: auto;
	width: calc(50% - 1.5rem)
}

.section-oa-row-right .section-oa-form {
	margin-top: 4rem
}

.section-oa-info {
	aspect-ratio: 1/1;
  border-radius: 50%;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
  overflow: hidden;
  position: relative;
  width: 52rem;
}

.section-oa-info img,
.section-oa-info video {
	aspect-ratio: 1/1;
	border-radius: 50%;
	height: 100%;
	-o-object-fit: cover;
	object-fit: cover;
	position: relative;
	width: 100%;
	z-index: 1
}

.section-oa-info-content {
	align-items: center;
	background-color: var(--c-white);
	border-radius: 50%;
	display: flex;
	height: 100%;
	justify-content: center;
	left: 0;
	opacity: 0;
	padding: 5rem;
	pointer-events: none;
	position: absolute;
	top: 0;
	transition: var(--transition);
	width: 100%;
	z-index: 2
}

.section-oa-info-content.active {
	opacity: 1;
	pointer-events: all
}

.section-oa-info-content.doctor-selected {
	align-items: flex-start;
	flex-direction: column;
	gap: 1.5rem;
	justify-content: center
}

.section-oa-info-content.doctor-selected .section-oa-info-content-clinic {
	left: 50%;
	position: absolute;
	top: 7rem;
	transform: translateX(-50%)
}

.section-oa-info-content.date-selected .section-oa-info-content-sd {
	border-top: .1rem solid var(--c-white-light);
	padding-top: 1.5rem;
  color: var(--c-primary);
  font-size: var(--txt-rem22);
  font-weight: 300;
}

.section-oa-info-content-clinic {
	color: var(--c-primary);
	font-size: var(--txt-rem24);
	font-weight: 500;
	text-align: center
}

.section-oa-info-content-date {
	color: var(--c-primary);
	font-size: var(--txt-rem22);
	font-weight: 300;
	text-shadow: 1px 1px 1px #FFF;
}

.section-oa-info-content-doctor {
	color: var(--c-primary);
	display: flex;
	flex-direction: column;
	font-size: var(--txt-rem24);
	gap: 1rem
}

.section-oa-info-content-doctor-name {
	font-weight: 600
}

.section-oa-info-content-doctor-image {
	bottom: -2rem;
	height: 70%;
	position: absolute;
	right: -50%;
	transform: translateX(-50%);
	transition: var(--transition);
	z-index: -1;
}

.section-oa-info-content-doctor-image img {
	border-radius: unset;
	-o-object-fit: contain;
	object-fit: contain;
	width: auto
}

.section-oa-info-content-doctor-image.hidden {
	opacity: 0;
	pointer-events: none
}

.section-oa h1 {
	-webkit-text-fill-color: transparent;
	background: var(--c-querternary);
	-webkit-background-clip: text;
	font-size: var(--txt-rem60);
	font-weight: 700;
	line-height: 1em;
	text-align: center
}

.section-oa-form {
	width: 100%;
	position: relative
}

.section-oa-form-item {
	display: none;
	height: 100%;
	opacity: 0;
	pointer-events: none;
	transition: var(--transition);
	width: 100%
}

.section-oa-form-item-loading {
  background: var(--c-white-light) url(/assets/image/dentgroup-logo.svg);
  background-size: 120px 100px;
  background-repeat: no-repeat;
  background-position: center;
  visibility: hidden;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 1;
  z-index: 1090;
}

.section-oa-form-item-loading.active {
  opacity: 0.7; visibility: visible;
}

.section-oa-form-item.active {
	display: block;
	opacity: 1;
	pointer-events: all
}

.section-oa-form-item-footer {
	align-items: center;
	display: flex;
	flex-direction: row;
	gap: 2rem;
	justify-content: center;
	margin-top: 4rem
}

.section-oa-form-item-footer-item .btn {
  font-size: 100%;
}

.section-oa-form-item-footer-item.disabled {
	opacity: .5;
	pointer-events: none
}

.radio-type-container-item {
  cursor: pointer;
  width: 100%;
	background-color: var(--c-white);
	border-radius: 3rem;
	box-shadow: var(--b-shadow);
	min-height: 8rem;
	padding: 1.5rem 3.5rem!important;
	position: relative
}

.radio-type-container-item input[type="radio"] {
  cursor: pointer;
  opacity: 0;
  position: absolute;
}

.radio-type-container-item .radio-check-icon {
  position: absolute;
  right: 3.5rem;
  top: 50%;
  transform: translateY(-50%)
}

input[type="radio"]:checked~.radio-check-icon {
  background-color: var(--c-secondary)
}

input[type="radio"]:checked~.radio-check-icon:after {
  opacity: 1;
  transform: translate(-50%,-50%) scale(1);
  visibility: visible
}

.radio-check-icon {
  background-color: #eee;
  border-radius: 50%;
  flex-shrink: 0;
  height: 2.4rem;
  position: relative;
  transition: background-color var(--transition);
  width: 2.4rem
}

.radio-check-icon:after {
  background: #fff;
  border-radius: 50%;
  content: "";
  height: calc(100% - 1.1rem);
  left: 50%;
  opacity: 0;
  position: absolute;
  top: 50%;
  transform: translate(-50%,-50%);
  transform: translate(-50%,-50%) scale(.5);
  transition: var(--transition);
  visibility: hidden;
  width: calc(100% - 1.1rem)
}

.radio-type-container-item .radio-content-title {
	color: var(--c-gray);
	font-size: var(--txt-rem16);
	font-weight: 400
}

.radio-type-container-item .radio-content-value {
	color: var(--c-primary);
	font-size: var(--txt-rem32);
	font-weight: 700;
	line-height: 1em
}

.checkbox-label {
  cursor: pointer;
  position: relative;
  margin: 0;
}

.checkbox-label input {
  cursor: pointer;
  opacity: 0;
  position: absolute;
}

.section-oa-form-payment__card .checkbox-check-icon {
  position: absolute;
  top: 10px;
  transform: translateY(-50%)
}

.checkbox-label input:checked~.checkbox-check-icon {
  background-color: var(--c-secondary)
}

.checkbox-label input:checked~.checkbox-check-icon:after {
  opacity: 1;
  transform: translate(-50%,-50%) scale(1);
  visibility: visible
}

.checkbox-check-icon {
  background-color: #eee;
  border-radius: 50%;
  flex-shrink: 0;
  height: 2.4rem;
  position: relative;
  transition: background-color var(--transition);
  width: 2.4rem
}

.checkbox-check-icon:after {
  background: #fff;
  border-radius: 50%;
  content: "";
  height: calc(100% - 1.1rem);
  left: 50%;
  opacity: 0;
  position: absolute;
  top: 50%;
  transform: translate(-50%,-50%);
  transform: translate(-50%,-50%) scale(.5);
  transition: var(--transition);
  visibility: hidden;
  width: calc(100% - 1.1rem)
}

.checkbox-text{
  padding-left: 4rem;
}

.section-oa-form-companycode .section-oa-form-companycode-input {
	margin-bottom: var(--txt-rem22);
}

.section-oa-form-companycode-input {
	display: none;
}

.section-oa-form-companycode-input input {
	min-height: 6rem
}

.section-oa-form-companycode-input .button-item button {
  height: 100%;
}

.section-oa-form-companycode-input .button-item button .btn-txt {
  height: 100%;
}

.section-oa-form-companycode-input .button-item button .btn-txt .fa {
  width: 100%;
  height: 100%;
  align-items: center;
  display: flex;
  justify-content: center;
}

.section-oa-form-companycode-input .button-item button .btn-txt .fa:hover {
  background: var(--c-querternary);
	transition: var(--transition);
}

.section-oa-form-companycode-btn {
	align-items: center;
	color: var(--c-secondary);
	cursor: pointer;
	display: flex;
	font-size: var(--txt-rem20);
	font-weight: 600;
	gap: 1rem;
	justify-content: center;
	line-height: 1em
}


.online-appointment-info {
  position: relative
}

.online-appointment-info-bg {
  height: 100%;
  left: 0;
  opacity: .2;
  pointer-events: none;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 0
}

.online-appointment-info-bg img {
  height: 100%;
  margin-left: auto;
  margin-right: auto;
  -o-object-fit: contain;
  object-fit: contain;
  width: 100%
}

.online-appointment-info-container {
  position: relative;
  z-index: 1
}

.online-appointment-info-content {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 3.5rem;
  justify-content: center;
}

.online-appointment-info-content-icon {
  font-size: 12rem
}

.online-appointment-info-content-title {
  font-size: var(--txt-rem24);
  font-weight: 700
}

.online-appointment-info-content-text {
  color: var(--c-primary);
  font-size: var(--txt-rem20);
  font-weight: 400;
  max-width: 90%;
  text-align: center
}

.online-appointment-info-content-info {
  align-items: center;
  background-color: var(--c-white);
  border-radius: 3rem;
  box-shadow: var(--b-shadow);
  display: flex;
  gap: 4rem;
  padding: 2rem 4rem;
  text-align: center;
  width: 100%
}

.online-appointment-info-content-info-title {
  color: var(--bs-teal);
  font-size: var(--txt-rem26);
  font-weight: 600;
  text-align: center;
  padding: 5px 0 15px 0;
}

.online-appointment-info-content-infoImage {
  background-color: var(--c-gray-light);
  flex-shrink: 0;
  height: 9rem;
  width: 9rem
}

.online-appointment-info-content-infoImage img {
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
  -o-object-position: bottom;
  object-position: bottom;
  width: 100%
}

.online-appointment-info-content-infoClinic {
  color: var(--c-primary);
  font-size: var(--txt-rem20);
  font-weight: 600
}

.online-appointment-info-content-infoDoctor {
  color: var(--c-primary);
  font-size: var(--txt-rem18);
  font-weight: 600
}

.online-appointment-info-content-infoPNR {
  color: var(--c-primary);
  font-size: var(--txt-rem18);
  font-weight: 400
}

.online-appointment-info-content-infoDate,
.online-appointment-info-content-infoPayment {
  color: var(--c-primary4);
  font-size: var(--txt-rem16);
  font-weight: 400
}

.online-appointment-info-content-button {
  margin-top: 1rem
}


.iti__tel-input {
	padding-left: 125px !important;
}

.section-oa-patient-step__phone {
	display: flex;
	gap: 2rem
}

.section-oa-patient-step__phone .input-item {
	width: 100%
}

.section-oa-patient-step__phone .input-item--select {
	flex-shrink: 0;
	max-width: 20%;
	width: 100%
}

/** Select Dropdown **/
.select-dropdown {
	border-radius: 3.8rem;
	box-shadow: var(--b-shadow);
	cursor: pointer;
	position: relative
}

.select-dropdown--disabled {
	cursor: not-allowed
}

.select-dropdown--disabled .select-dropdown * {
	pointer-events: none
}

.select-dropdown--secondary .select-dropdown-content.dropdown-selected {
	/* background: var(--c-querternary);
	color: var(--c-white); */
}

.select-dropdown--secondary .select-dropdown-content.dropdown-selected .select-dropdown-content-text {
	color: var(--c-white)
}

.select-dropdown--secondary .select-dropdown-content.dropdown-selected .select-dropdown-content-icon {
	background: var(--c-white)
}

.select-dropdown--secondary .select-dropdown-content.dropdown-selected .select-dropdown-content-icon .icon {
	color: var(--c-secondary)
}

.select-dropdown-item {
	color: var(--c-primary);
	font-size: var(--txt-rem18);
	font-weight: 400;
	padding: .5rem 2rem
}

.select-dropdown-title {
  color: var(--c-primary);
  font-size: var(--txt-rem22);
  font-weight: 700;
  margin: 0.5rem 2rem;
  padding-bottom: 0.75rem;
  cursor: default;
  border-bottom: 0.5px solid #ccc;
}

.select-dropdown-item.active,.select-dropdown-item:hover {
	background-color: var(--c-gray-light)
}

.select-dropdown-content {
	align-items: center;
	background: var(--c-white);
	border-radius: 3.8rem;
	display: flex;
	justify-content: space-between;
	padding: 1rem 4rem;
	position: relative;
	transition: var(--transition);
	z-index: 2
}

.select-dropdown-content.dropdown-opened {
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0
}

.select-dropdown-content.dropdown-opened .select-dropdown-content-icon .icon {
	transform: rotate(270deg)
}

.select-dropdown-content.dropdown-selected .select-dropdown-content-icon {
	background: var(--c-querternary)
}

.select-dropdown-content.dropdown-selected .select-dropdown-content-icon .icon {
	color: var(--c-white)
}

.select-dropdown-content-text {
	color: var(--c-primary);
	font-size: var(--txt-rem20);
	font-weight: 500;
	line-height: 1em
}

.select-dropdown-content-icon {
	align-items: center;
	background-color: var(--c-gray-light);
	border-radius: 50%;
	display: flex;
	height: 5.6rem;
	justify-content: center;
	position: relative;
	right: -2.5rem;
	width: 5.6rem
}

.select-dropdown-content-icon .icon {
	font-size: 1.2rem;
	transform: rotate(90deg);
	transition: var(--transition)
}

.select-dropdown-content-data {
	background-color: var(--c-white);
	border-bottom-left-radius: 3.8rem;
	border-bottom-right-radius: 3.8rem;
	display: flex;
	flex-direction: column;
	height: 0;
	left: 0;
	max-height: 50rem;
	opacity: 0;
	overflow-y: auto;
	pointer-events: none;
	position: absolute;
	top: 100%;
	transition: var(--transition);
	width: 100%;
	z-index: 5
}

.select-dropdown-content-data:before {
	background-color: var(--c-border);
	content: "";
	height: .2rem;
	left: 0;
	margin: auto;
	position: absolute;
	right: 0;
	top: 0;
	width: calc(100% - 4rem)
}

.select-dropdown-content-data.opened {
	opacity: 1;
	padding-bottom: 2rem;
	padding-top: 2rem;
	pointer-events: all;
	height:350px;
}
/** Select Dropdown **/

/** FORM  **/

.input-item {
	background: #f9f9f9;
	border: .1rem solid var(--c-gray-light);
	border-radius: 3rem;
	position: relative;
	transition: var(--transition);
	width: 100%
}

.input-item--textarea .input-item__placeholder {
	top: 2rem;
	transform: none
}

.input-item--file {
	align-items: center;
	background: #f9f9f9!important;
	border: .1rem solid var(--c-gray-light)!important;
	cursor: pointer;
	display: flex;
	justify-content: flex-start
}

.input-item--file input[type=file] {
	display: none
}

.input-item--file,.input-item>input,.input-item>select,.input-item>textarea {
	background: transparent;
	border: none;
	color: var(--c-primary);
	font-size: var(--txt-rem20);
	font-weight: 400;
	line-height: 1em;
	min-height: 8rem;
	outline: none;
	padding: 2.5rem 4rem;
	position: relative;
	top: .2rem;
	width: 100%
}

.input-item--file:-webkit-autofill~.input-item__placeholder,.input-item>input:-webkit-autofill~.input-item__placeholder,.input-item>select:-webkit-autofill~.input-item__placeholder,.input-item>textarea:-webkit-autofill~.input-item__placeholder {
	opacity: 0
}

.input-item--file:-webkit-autofill,.input-item--file:-webkit-autofill:active,.input-item--file:-webkit-autofill:focus,.input-item--file:-webkit-autofill:hover,.input-item>input:-webkit-autofill,.input-item>input:-webkit-autofill:active,.input-item>input:-webkit-autofill:focus,.input-item>input:-webkit-autofill:hover,.input-item>select:-webkit-autofill,.input-item>select:-webkit-autofill:active,.input-item>select:-webkit-autofill:focus,.input-item>select:-webkit-autofill:hover,.input-item>textarea:-webkit-autofill,.input-item>textarea:-webkit-autofill:active,.input-item>textarea:-webkit-autofill:focus,.input-item>textarea:-webkit-autofill:hover {
	-webkit-transition: background-color 5000s ease-in-out 0s;
	transition: background-color 5000s ease-in-out 0s
}

.input-item--select {
	position: relative
}

.input-item--select.input-item-valued:before {
	display: none
}

.input-item--select:before {
	border-left: .5rem solid transparent;
	border-right: .5rem solid transparent;
	border-top: .5rem solid var(--c-gray);
	content: "";
	height: 0;
	position: absolute;
	right: 4rem;
	top: 50%;
	transform: translateY(-50%);
	width: 0;
	z-index: 1
}

.input-item--select label {
	color: var(--c-gray);
	font-size: var(--txt-rem20);
	font-weight: 400;
	left: 4rem;
	padding-right: 4rem;
	position: absolute;
	top: 50%;
	transform: translateY(-50%)
}

.input-item option,.input-item select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	cursor: pointer
}

.input-item__file {
	align-items: center;
	color: var(--c-gray);
	display: flex;
	justify-content: space-between;
	width: 100%
}

.input-item__icon {
	color: var(--c-gray);
	font-size: 2.4rem
}

.input-item__placeholder {
	color: var(--c-gray);
	font-size: var(--txt-rem20);
	font-weight: 400;
	left: 2.5rem;
	line-height: 1em;
	pointer-events: none;
	position: absolute;
	top: calc(50% + .1rem);
	transform: translateY(-50%);
	transition: var(--transition)
}

.input-item__placeholder strong {
	color: red
}

.input-item__error {
	color: var(--c-error);
	display: none
}

.input-item__error.error {
	display: block
}

.input-item-valued {
	border-color: var(--c-primary)!important
}

.input-item-valued.input-item--file .input-item__file,.input-item-valued.input-item--select label {
	display: none
}

.input-item--focused .input-item__placeholder,.input-item-valued .input-item__placeholder {
	opacity: 0
}

.input-item--error {
	border-color: var(--c-error)
}

.input-item .iti {
	height: 8rem!important;
	width: 100%!important
}

.iti {
	border-radius: 3rem!important;
	height: 100%;
	max-width: 100%!important;
	display: inline-block;
	position: relative;
}

.iti__selected-flag {
	background-color: unset!important;
	outline: 0!important;
	padding-left: 2.5rem!important;
	padding-right: 3rem!important
}

.iti__selected-flag:before {
	background-color: var(--c-border);
	content: "";
	height: 50%;
	position: absolute;
	right: 1.5rem;
	top: 50%;
	transform: translateY(-50%);
	width: .1rem
}

.iti__flag-container {
	border-bottom-left-radius: 3rem!important;
	border-top-left-radius: 3rem!important
}

.iti input {
	background-color: unset!important;
	border: none;
	font-size: var(--txt-rem20);
	font-weight: 400;
	height: 100%;
	line-height: 1em;
	max-width: 100%;
	width: 100%
}



.btn--alternate {
	border-radius: 3rem;
	overflow: hidden;
	/* padding: 1rem 2.5rem; */
	position: relative;
	font-size: var(--txt-rem22);
}

.btn--alternate {
	background: var(--c-querternary);
}

.btn--alternate:before {
	background-color: var(--c-gray);
	border-radius: 3rem;
	content: "";
	height: 100%;
	opacity: .4;
	position: absolute;
	right: 0;
	top: 0;
	transition: var(--transition);
	width: 0;
	z-index: 0
}

.btn--alternate:hover:before{
	width: 100%;
}
/** FORM **/


.iti__dropdown-content{
  overflow-y: scroll;
}


/***** Hour *****/
.doctor-hour-container {
  background-color: var(--c-white);
  border-radius: 3.6rem;
  box-shadow: var(--b-shadow);
  max-width: 100%;
  padding: 3rem 6rem;
  position: relative
}

.doctor-hour-container-content {
  min-height: 40rem;
  max-height: 50rem;
  overflow-y: auto;
}

.doctor-hour-container-item-title {
  color: var(--c-priamry);
  font-size: var(--txt-rem16);
  line-height: var(--txt-rem24);
  font-weight: 600;
  text-align: center;
}

.doctor-hour-container-item-hours {
  display: flex;
  flex-direction: column;
  gap: .5rem
}

.doctor-hour-container-item-hours-item {
  align-items: center;
  border: .2rem solid var(--c-success);
  border-radius: 60rem;
  color: var(--c-success);
  cursor: pointer;
  display: flex;
  justify-content: center;
  min-height: 3.8rem;
  text-align: center;
  transition: var(--transition);
  white-space: nowrap
}

.doctor-hour-container-item-hours-item.disabled,.doctor-hour-container-item-hours-item.disabled:hover {
  background-color: var(--c-gray-light);
  border: .2rem solid var(--c-border);
  color: var(--c-gray);
  cursor: not-allowed;
  font-size:70%;
}

.doctor-hour-container-item-hours-item.selected,.doctor-hour-container-item-hours-item:hover {
  background-color: var(--c-success);
  border: .2rem solid var(--c-success);
  color: var(--c-white)
}

.doctor-hour-container-icon {
  align-items: center;
  background-color: var(--c-primary);
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  width: 2.4rem;
  height: 2.4rem;
  justify-content: center;
  position: absolute;
  top: 2.8rem;
}

.doctor-hour-container-icon .icon {
  color: var(--c-white);
  font-size: 1rem
}

.doctor-hour-container-icon-prev {
  left: 2rem
}

.doctor-hour-container-icon-prev .icon {
  transform: rotate(180deg)
}

.doctor-hour-container-icon-next {
  right: 2rem
}
/***** Hour *****/

/***** Modal *****/
.modal-dialog .modal-content{
  background-color: var(--c-white);
  border-radius: 3rem;
  box-shadow: var(--b-shadow);
  padding: 3rem;
  position: relative;
  z-index: 1;
}
.modal-dialog .btn-close{
  align-items: center;
  background-color: var(--c-gray-light);
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  width: 4.8rem;
  height: 4.8rem;
  justify-content: center;
  position: absolute;
  right: 0;
  top: 0;
}
.modal-dialog .modal-title{
  color: var(--c-primary);
  font-size: var(--txt-rem32);
  font-weight: 700;
  line-height: 1em;
  margin-bottom: 6rem;
  text-align: center;
}
/***** Modal *****/
